**Full name**: projects.locations.models.listVersions

Lists versions of the specified model.

### Endpoint

get `https://{service-endpoint}/v1beta1/{name}:listVersions`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`name` `string` Required. The name of the model to list versions for.

### Query parameters

`pageSize` `integer` The standard list page size.
`pageToken` `string` The standard list page token. Typically obtained via `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.models/listVersions#body.ListModelVersionsResponse.FIELDS.next_page_token` of the previous `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.models/listVersions#google.cloud.aiplatform.v1beta1.ModelService.ListModelVersions` call.
`filter` `string` An expression for filtering the results of the request. For field names both snake_case and camelCase are supported.

- `labels` supports general map functions that is:
  - `labels.key=value` - key:value equality
  - \`labels.key:\* or labels:key - key existence
  - A key including a space must be quoted. `labels."a key"`.

Some examples:

- `labels.myKey="myValue"`
`readMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Mask specifying which fields to read.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.
`orderBy` `string` A comma-separated list of fields to order by, sorted in ascending order. Use "desc" after a field name for descending. Supported fields:

- `createTime`
- `updateTime`

Example: `updateTime asc, createTime desc`.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.models/listVersions#google.cloud.aiplatform.v1beta1.ModelService.ListModelVersions`

If successful, the response body contains data with the following structure:
Fields `models[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.models#Model`)`` List of Model versions in the requested page. In the returned Model name field, version id instead of regvision tag will be included.
`nextPageToken` `string` A token to retrieve the next page of results. Pass to `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.models/listVersions#body.QUERY_PARAMETERS.page_token` to obtain that page.

| JSON representation |
|---|
| ``` { "models": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.models#Model`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `aiplatform.models.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).